<template lang="pug">
BaseCard(title="Vacuum Pumps")
  li(key="vppData").p-0.x-vp
    BaseModalLoader(:isLoading="loading")
    table.table.table-sm.table-hover.m-0
      thead.bg-light
        tr
          th Name
          th State
      tbody
        tr(v-for="vpp in data")
          td {{ vpp.name }}
          td(:title="fillTitle(vpp.state)")
            .d-flex.justify-content-center
              i.fas.fa-times.text-danger.mr-2(v-if="!isStateValid(vpp.state)"
                title="Error: Bit Validity is 0")
              pre {{ getStateFromBits(vpp.state) }}
</template>

<script>

export { default } from './VPPVacuumPumpState.vue.js';

</script>
